package sample.rest.data.v1_0.versionschema;


import java.util.ArrayList;
import java.util.List;

public class Versions {

    public void setVersions(List<Version> versions) {
        this.versions = versions;
    }

    protected List<Version> versions;

    /**
     * Gets the value of the versions property.
     *
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the versions property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVersions().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Version }
     *
     *
     */
    public List<Version> getVersions() {
        if (versions == null) {
            versions = new ArrayList<>();
        }
        return this.versions;
    }

    @Override
    public String toString() {
        return "Versions{" +
                "versions=" + versions +
                '}';
    }
}
